create or replace
PROCEDURE SP_ALTA_LOGS (
   p_proceso        IN TFC_LOGS.proceso%TYPE,
   p_entrada        IN TFC_LOGS.pentrada%TYPE,
   p_salida         IN TFC_LOGS.psalida%TYPE
)
IS
-- alta de la tabla de logs para cualquier operacion
-- que realicemos en la base de datos 
pentrada  VARCHAR2(500);
RSP  VARCHAR2 (500);
mensaje_error  VARCHAR2 (200);
campoError VARCHAR2(20);
eNULO     EXCEPTION;


BEGIN
	-- parametros de entrada 
   pentrada:=    ',p_proceso: '||p_proceso||
                 ', p_entrada: '||p_entrada||
                 ', p_salida: '||p_salida;

	--control parametros de entrada 
   IF (p_proceso IS NULL) THEN 
     campoError:= 'proceso';     
     RAISE eNULO;
   ELSIF (p_entrada IS NULL) THEN 
     campoError:= 'pentrada';
     RAISE eNULO;     
   ELSIF (p_salida IS NULL) THEN 
     campoError:= 'psalida';
     RAISE eNULO;     
   END IF;
 
	--alta tabla de logs 
  
   INSERT INTO TFC_LOGS (proceso, pentrada, psalida)
   VALUES (p_proceso, p_entrada, p_salida);
   
   RSP:= 'OK';


   COMMIT;
   -- control de excepciones 
EXCEPTION
   WHEN eNULO THEN
        RSP:= 'ERROR LOG: el campo ' || campoError || ' tiene valor nulo '; 
        INSERT INTO TFC_LOGS (proceso, pentrada, psalida)
        VALUES ('sp_alta_logs', pentrada, 'RSP: '||RSP);

        
   WHEN OTHERS THEN
        ROLLBACK;
        mensaje_error := SUBSTR (SQLERRM, 1, 200);
        RSP:=    'ERROR LOG: ' || mensaje_error;
        INSERT INTO TFC_LOGS ( proceso, pentrada, psalida)
        VALUES ('sp_alta_logs', pentrada, 'RSP: '||RSP);

              
END SP_ALTA_LOGS;
/