--------------------------------------------------------
--  DDL for Table TFC_APLICACION
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_APLICACION" 
   (	"APL_CODIGO" VARCHAR2(20 CHAR), 
	"APL_VERSION" VARCHAR2(20 CHAR), 
	"APL_FECHA_ALTA" DATE, 
	"APL_RESOLUCION_MINIMA" VARCHAR2(20 CHAR), 
	"APL_ACTIVA" NUMBER, 
	"APL_NUMERODESCARGAS" NUMBER, 
	"APL_FECHA_FIN_SOPORTE" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_DESA_APLICACIONES
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_DESA_APLICACIONES" 
   (	"DEA_CODIGO" VARCHAR2(20 CHAR), 
	"DEA_VERSION" VARCHAR2(20 CHAR), 
	"DEA_DESA" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_DESARROLLADORES
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_DESARROLLADORES" 
   (	"DES_CODIGO" NUMBER, 
	"DES_NOMBRE_EMPRESA" VARCHAR2(35 CHAR), 
	"DES_REPRESENTANTE_LEGAL" VARCHAR2(35 CHAR), 
	"DES_PAIS" VARCHAR2(2 CHAR), 
	"DES_CIF" VARCHAR2(20 CHAR), 
	"DES_DIRECCION" VARCHAR2(35 CHAR), 
	"DES_CPOSTAL" VARCHAR2(10 CHAR), 
	"DES_POBLACION" VARCHAR2(20 CHAR), 
	"DES_PROVINCIA" VARCHAR2(20 CHAR), 
	"DES_TELEFONO" VARCHAR2(20 CHAR), 
	"DES_FAX" VARCHAR2(20 CHAR), 
	"DES_EMAIL" VARCHAR2(50 CHAR), 
	"DES_APLICACIONES_PUB" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_DESCARGAS_APLICACIONES
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_DESCARGAS_APLICACIONES" 
   (	"DES_CODIGO" VARCHAR2(10 CHAR), 
	"DES_VERSION" VARCHAR2(10 CHAR), 
	"DES_FECHA" DATE, 
	"DES_ID" NUMBER, 
	"DES_PRECIO" NUMBER(16,2), 
	"DES_DIVISA" VARCHAR2(3 CHAR), 
	"DES_MODO_PAGO" NUMBER, 
	"DES_PAIS" VARCHAR2(3 CHAR), 
	"DES_IMEI" VARCHAR2(20 CHAR), 
	"DES_OPERADOR" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_DISPOSITIVOS
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_DISPOSITIVOS" 
   (	"DIS_CODIGO" NUMBER, 
	"DIS_DESCRIPCION" VARCHAR2(35 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_DISPOSITIVOS_USUARIO
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_DISPOSITIVOS_USUARIO" 
   (	"DIU_MOVILUSUARIO" VARCHAR2(20 CHAR), 
	"DIU_DISPOSITIVO" NUMBER, 
	"DIU_SOPERATIVO" NUMBER, 
	"DIU_IMEI" VARCHAR2(20 CHAR), 
	"DIU_MODELO" VARCHAR2(20 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_DIVISAS
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_DIVISAS" 
   (	"DIV_CODIGO" VARCHAR2(3 CHAR), 
	"DIV_DESCRIPCION" VARCHAR2(35 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_ESTADISTICA1
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_ESTADISTICA1" 
   (	"E1_TOTALDESCARGAS" NUMBER, 
	"E1_TOTALIMPORTE" NUMBER(18,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_ESTADISTICA2
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_ESTADISTICA2"
  (
    "E2_ANY1"           NUMBER,
    "E2_MEDIADESCARGAS" NUMBER(18,2),
    "E2_IMEI"           VARCHAR2(20 CHAR),
    "E2_DESCARGAS"      NUMBER
  )
  SEGMENT CREATION IMMEDIATE PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING STORAGE
  (
    INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645 PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT
  )
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_ESTADISTICA3
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_ESTADISTICA3" 
   (	"E3_ANY1" NUMBER, 
	"E3_DESARROLLADOR" NUMBER, 
	"E3_NUMERODESCARGAS" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_ESTADISTICA4
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_ESTADISTICA4" 
   (	"E4_ANY1" NUMBER, 
	"E4_APLICACION" VARCHAR2(10 CHAR), 
	"E4_VERSION" VARCHAR2(10 CHAR), 
	"E4_DESARROLLADOR" NUMBER, 
	"E4_IMPORTE" NUMBER(18,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_ESTADISTICA5
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_ESTADISTICA5" 
   (	"E5_ANY1" NUMBER, 
	"E5_PAIS" VARCHAR2(2 CHAR), 
	"E5_NUMEROUSUARIOS" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_ESTADISTICA6
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_ESTADISTICA6" 
   (	"E6_ANY1" NUMBER, 
	"E6_PAIS" VARCHAR2(2 CHAR), 
	"E6_IMPORTE" NUMBER(16,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_ESTADISTICA7
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_ESTADISTICA7" 
   (	"E7_ANY1" NUMBER, 
	"E7_PAIS" VARCHAR2(2 CHAR), 
	"E7_NUMEROAPLICACIONES" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_IDIOMAS
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_IDIOMAS" 
   (	"IDI_CODIGO" NUMBER, 
	"IDI_DESCRIPCION" VARCHAR2(35 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_IDIOMAS_APLICACIONES
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_IDIOMAS_APLICACIONES" 
   (	"AID_CODIGO" VARCHAR2(20 CHAR), 
	"AID_VERSION" VARCHAR2(20 CHAR), 
	"AID_IDIOMA" NUMBER, 
	"AID_DESCRIPCION" VARCHAR2(50 CHAR), 
	"AID_URLVIDEO" VARCHAR2(50 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_LOGS
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_LOGS" 
   (	"ID" NUMBER, 
	"FECHA" DATE DEFAULT sysdate, 
	"PROCESO" VARCHAR2(20 CHAR), 
	"PENTRADA" VARCHAR2(1000 CHAR), 
	"PSALIDA" VARCHAR2(1000 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_MODELOS_MOVIL
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_MODELOS_MOVIL" 
   (	"MOD_MODELO" VARCHAR2(20 CHAR), 
	"MOD_RESOLUCION" VARCHAR2(20 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_MODO_PAGO
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_MODO_PAGO" 
   (	"FOP_CODIGO" NUMBER, 
	"FOP_DESCRIPCION" VARCHAR2(20 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_OPERADORES_TELEFONICOS
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_OPERADORES_TELEFONICOS" 
   (	"OPE_CODIGO" NUMBER, 
	"OPE_NOMBRE" VARCHAR2(35 CHAR), 
	"OPE_PAIS" VARCHAR2(2 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_PAISES
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_PAISES" 
   (	"PAI_CODIGO" VARCHAR2(2 CHAR), 
	"PAI_NOMBRE" VARCHAR2(35 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_PAISES_APLICACIONES
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_PAISES_APLICACIONES" 
   (	"APP_CODIGO" VARCHAR2(20 CHAR), 
	"APP_VERSION" VARCHAR2(20 CHAR), 
	"APP_PAIS" VARCHAR2(2 CHAR), 
	"APP_DIVISA" VARCHAR2(3 CHAR), 
	"APP_PRECIO" NUMBER(16,2), 
	"APP_NUMERODESCARGAS" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_SISTEMA_APLICACIONES
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_SISTEMA_APLICACIONES" 
   (	"SOP_CODIGO" VARCHAR2(20 CHAR), 
	"SOP_VERSION" VARCHAR2(20 CHAR), 
	"SOP_SOPERATIVO" NUMBER, 
	"SOP_ENLACEF" VARCHAR2(50 CHAR), 
	"SOP_MEDIDA" VARCHAR2(20 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_SISTEMAS_OPERATIVOS
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_SISTEMAS_OPERATIVOS" 
   (	"MSO_CODIGO" NUMBER, 
	"MSO_DESCRIPCION" VARCHAR2(35 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
--------------------------------------------------------
--  DDL for Table TFC_USUARIOS
--------------------------------------------------------

  CREATE TABLE "UOC"."TFC_USUARIOS" 
   (	"USU_MOVILUSUARIO" VARCHAR2(20 CHAR), 
	"USU_OPERADOR" NUMBER, 
	"USU_PAIS" VARCHAR2(3 CHAR), 
	"USU_EMAIL" VARCHAR2(50 CHAR), 
	"USU_NOMBRE" VARCHAR2(50 CHAR), 
	"USU_DIRECCION" VARCHAR2(50 CHAR), 
	"USU_CPOSTAL" VARCHAR2(10 CHAR), 
	"USU_POBLACION" VARCHAR2(50 CHAR), 
	"USU_PROVINCIA" VARCHAR2(50 CHAR), 
	"USU_NIF" VARCHAR2(20 CHAR), 
	"USU_CUENTA" VARCHAR2(50 CHAR), 
	"USU_FECHA_ALTA" DATE DEFAULT sysdate
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "TFC_TABLAS" ;
commit;