--------------------------------------------------------
--  DDL for Function FU_LISTADO_DESARROLLADORES
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "UOC"."FU_LISTADO_DESARROLLADORES" (
   p_pais   IN  TFC_DESARROLLADORES.DES_PAIS%TYPE
)
RETURN R_listados_R6A
IS
/******************************************************************************
   Nom: FU_LISTADO_DESARROLLADORES
   Listado de todos los datos contenidos en la tabla de desarrolladores 
   P.entrada:  p_pais
   P.salida :  -	RSP 
   Devuelve listado de datos o error            
            
******************************************************************************/
parametro_entrada      VARCHAR2(500);
codigos                 NUMBER;
nombre_empresas         VARCHAR2(50);
representante_legals    VARCHAR2(40);
cifs                    VARCHAR2(15);
direccions              VARCHAR2(35);
cpostals                VARCHAR2(7);
provincias              VARCHAR2(35);
poblacions              VARCHAR2(35);
telefonos              VARCHAR2(15);
faxs                    VARCHAR2(15);
emails                  VARCHAR(50);
aplicacioness           NUMBER;
i                       INTEGER:=1;
RSP	                  VARCHAR2(500);
salida       R_listados_R6A:=R_listados_R6A();
eNULO          EXCEPTION;
errormsg              VARCHAR2 (200);
nulo                  VARCHAR2(20);
sProcedure            VARCHAR2(20);


type r_cursor IS REF CURSOR;

CUR r_cursor;

BEGIN
   -- parametros de entrada 
   parametro_entrada:= 'p_pais: '||p_pais;
                
   sProcedure:='FU_LISTADO_DESARROL';
  -- control parametros de entrada 
   IF (p_pais IS NULL) THEN 
     nulo:= 'pais';
     RAISE eNulo;
   END IF;  
   
   -- creamos un cursor seleccionando todos los datos de desarrolladores    
   OPEN CUR FOR select DES_CODIGO,DES_NOMBRE_EMPRESA,DES_REPRESENTANTE_LEGAL,DES_CIF,DES_DIRECCION,DES_CPOSTAL,
      DES_POBLACION,DES_PROVINCIA,DES_TELEFONO,DES_FAX,DES_EMAIL,DES_APLICACIONES_PUB FROM TFC_DESARROLLADORES 
    WHERE des_pais = p_pais;
                       
   LOOP
     FETCH CUR INTO codigos,nombre_empresas,representante_legals,cifs,direccions,cpostals,poblacions,provincias,telefonos,faxs,emails,aplicacioness;
     EXIT WHEN CUR%NOTFOUND;
     -- para cada fila contenida en el cursor generamos el parametro de salida que enviamos al tipo de dato correspondiente    
       salida.extend;
       salida(i):= listados_R6A(codigos,nombre_empresas,representante_legals,cifs,direccions,cpostals,poblacions,provincias,telefonos,faxs,emails,aplicacioness);
       i:= i+1;
     
   END LOOP;  
   CLOSE CUR;  
   RSP:='LISTADO DESARROLLADORES GENERADO CORRECTAMENTE';
   -- damos el mensaje por consola
   DBMS_OUTPUT.PUT_LINE(RSP);
   -- devolvemos la salida a la select que ha generado la ejecucion de la funcion	
   RETURN salida;
   -- control de excepciones 
EXCEPTION
   WHEN eNulo THEN
        RSP:= 'ERROR: el campo ' || nulo || ' no pude tener valor nulo'; 
        
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;


   WHEN OTHERS THEN
        errormsg := SUBSTR (SQLERRM, 1, 200);
        RSP:=    'ERROR: ' || errormsg;
       
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;
END;

/