--------------------------------------------------------
--  DDL for Function FU_LISTADO_APLICACIONES
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "UOC"."FU_LISTADO_APLICACIONES" 
RETURN R_listados_R6B
IS
/******************************************************************************
   Nom: FU_LISTADO_APLICACIONES
   Listado de todas las aplicaciones activas con sus principales datos
   
   P.entrada:  
   P.salida :  -	RSP 
   Devuelve listado de datos o error            
            
******************************************************************************/
parametro_entrada      VARCHAR2(500);
codigos                 VARCHAR2(10);
version1s                VARCHAR2(10);
fecha_altas            DATE;
resolucion_minimass   VARCHAR2(10);
numero_descargass     NUMBER;
fecha_fin_soportes      date;

     
i                       INTEGER:=1;
RSP	                  VARCHAR2(500);
salida       R_listados_R6B:=R_listados_R6B();

eNULO          EXCEPTION;
errormsg              VARCHAR2 (200);
nulo                  VARCHAR2(20);
sProcedure            VARCHAR2(20);


type r_cursor IS REF CURSOR;

CUR r_cursor;
CURD r_cursor;
CURI r_cursor;
CURS r_cursor;
CURP r_cursor;
sDesarrolladores VARCHAR2(500);
sIdiomas VARCHAR2(500);
sPaises VARCHAR2(500);
sSistemas VARCHAR2(500);

desarrollador VARCHAR2(40);
codigodesa NUMBER;
codigoidioma NUMBER;
descripcionapl VARCHAR(35);
descripcionidioma VARCHAR(45);
pais VARCHAR(3);
divisa VARCHAR(3);
precio NUMBER(6,2);
operativo NUMBER;
desoperativo VARCHAR(20);

BEGIN
   parametro_entrada:= '';
   sProcedure:='FU_O_APLICACI';
   
 
   -- creamos un cursor seleccionando todos los datos de las aplicaciones   
   OPEN CUR FOR select APL_CODIGO,APL_VERSION,APL_FECHA_ALTA,APL_RESOLUCION_MINIMA,APL_NUMERODESCARGAS,APL_FECHA_FIN_SOPORTE
      FROM TFC_APLICACION
   WHERE APL_ACTIVA = 0 ORDER BY APL_NUMERODESCARGAS DESC ;
                               
   LOOP
     FETCH CUR INTO codigos,version1s,fecha_altas,resolucion_minimass,numero_descargass,fecha_fin_soportes;
     EXIT WHEN CUR%NOTFOUND;
      -- para cada aplicacion contenida en el cursor buscamos :
      --desarrolladores
                sDesarrolladores:='2';
                OPEN CURD FOR  
                    select DEA_DESA,DES_NOMBRE_EMPRESA  FROM TFC_DESA_APLICACIONES
                     LEFT JOIN TFC_DESARROLLADORES ON DEA_DESA = DES_CODIGO
                       WHERE DEA_CODIGO = codigos AND DEA_VERSION=version1s;
                                         
               LOOP
                   FETCH CURD INTO codigodesa,desarrollador;
              EXIT WHEN CURD%NOTFOUND; 
                  if (sDesarrolladores='2') then
                      sDesarrolladores:=desarrollador ;
                  else 
                      sDesarrolladores:=sDesarrolladores || ' , ' || desarrollador;
                  end if ;
               END LOOP;
               CLOSE CURD;
      
      --idiomas aplicaciones
              sIdiomas:='2';
              OPEN CURI FOR 
                  select AID_IDIOMA,AID_DESCRIPCION,IDI_DESCRIPCION  FROM TFC_IDIOMAS_APLICACIONES
                   LEFT JOIN TFC_IDIOMAS ON IDI_CODIGO = AID_IDIOMA
                     WHERE AID_CODIGO = codigos AND AID_VERSION=version1s;
                                         
               LOOP
                   FETCH CURI INTO codigoidioma,descripcionapl,descripcionidioma;
              EXIT WHEN CURI%NOTFOUND; 
                  if (sIdiomas='2') then
                      sIdiomas:=descripcionidioma || ' ' || descripcionapl ;
                  else 
                      sIdiomas:=sIdiomas || ' , ' || descripcionidioma || ' ' || descripcionapl ;
                  end if ;
               END LOOP;
               CLOSE CURI;
      --paises aplicaciones
                sPaises:='2';
                OPEN CURP FOR 
                    select APP_PAIS,APP_DIVISA,APP_PRECIO FROM TFC_PAISES_APLICACIONES
                       WHERE APP_CODIGO = codigos AND APP_VERSION=version1s;
                                         
               LOOP
                   FETCH CURP INTO pais,divisa,precio;
              EXIT WHEN CURP%NOTFOUND; 
                  if (sPaises='2') then
                     sPaises:=pais || ' ' || precio || ' '|| divisa ;
                  else 
                      sPaises:=sPaises || ' , ' || pais || ' ' || precio || ' '|| divisa ;
                  end if ;
               END LOOP;
               CLOSE CURP;
     --sistemas aplicaciones
               sSistemas:='2';
               OPEN CURS FOR 
                    select SOP_SOPERATIVO,MSO_DESCRIPCION FROM TFC_SISTEMA_APLICACIONES
                      LEFT JOIN TFC_SISTEMAS_OPERATIVOS ON MSO_CODIGO = SOP_SOPERATIVO
                       WHERE SOP_CODIGO = codigos AND SOP_VERSION=version1s;
                                         
               LOOP
                   FETCH CURS INTO operativo,desoperativo;
              EXIT WHEN CURS%NOTFOUND; 
                  if (sSistemas='2') then
                      sSistemas:=desoperativo;
                  else 
                      sSistemas:=sSistemas  || ' , ' || desoperativo;
                  end if ;
               END LOOP;
               CLOSE CURS;
		-- aadimos todos los datos encontrados al parametro de salida 
       salida.extend;
       salida(i):= listados_R6B(codigos,version1s,fecha_altas,resolucion_minimass,numero_descargass,sIdiomas,sSistemas,sPaises, sDesarrolladores);
       i:= i+1;
       
    
     
   END LOOP;  
   CLOSE CUR; 
	-- cerramos el cursor y devolvemos el parametro de salida a la funcion que la ha ejecutado.
  RSP:='LISTADO GENERADO CORRECTAMENTE';
  DBMS_OUTPUT.PUT_LINE(RSP);
 
   RETURN salida;
   
   -- control de excepciones 
   
EXCEPTION
    

   WHEN OTHERS THEN
        errormsg := SUBSTR (SQLERRM, 1, 200);
        RSP:=    'ERROR: ' || errormsg;
      
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;
END;

/