/
--------------------------------------------------------
--  DDL for Function FU_LISTADO_DESCARGAS6
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "UOC"."FU_LISTADO_DESCARGAS6" (
   p_any1     IN  TFC_ESTADISTICA2.E2_ANY1%TYPE,
   p_codigo   IN  TFC_APLICACION.APL_CODIGO%TYPE
)
RETURN R_listados_R6C
IS
/******************************************************************************
   Nom: FU_LISTADO_DESCARGAS_APL
   Listado de las descargas realizas por Aplicacion y ao
   P.entrada:  p_any1,p_pais
   P.salida :  -	RSP 
   Devuelve listado de datos o error            
            
******************************************************************************/
parametro_entrada      VARCHAR2(500);
codigo                 VARCHAR2(15);
pais                   VARCHAR2(3);
descargas              NUMBER;
i                       INTEGER:=1;
RSP	                  VARCHAR2(500);
salida       R_listados_R6C:=R_listados_R6C();
eNULO          EXCEPTION;
errormsg              VARCHAR2 (200);
nulo                  VARCHAR2(20);
sProcedure            VARCHAR2(20);
p_numero NUMBER;

type r_cursor IS REF CURSOR;

CUR r_cursor;

BEGIN
   -- parametros de entrada 
   parametro_entrada:= 'p_any1: '||p_any1||
                       'p_codigo: '||p_codigo;
                
   sProcedure:='FU_LISTADO_DES_APL';
  -- control parametros de entrada 
   IF (p_codigo IS NULL) THEN 
     nulo:= 'codigo';
     RAISE eNulo;
   END IF;  
  IF (p_any1 IS NULL) THEN 
     nulo:= 'ao';
     RAISE eNulo;
   END IF;
   -- creamos un cursor seleccionando segun el parametro de entrada el numero de descargas por aplicacion-pais durante el periodo marcado
   OPEN CUR FOR select des_codigo,des_pais,count(*)    from TFC_DESCARGAS_APLICACIONES
      where des_fecha >= to_date('01'||p_any1 ,'mm/yyyy') AND DES_FECHA <=to_date('12'||p_any1,'mm/yyyy')
      and des_codigo = p_codigo
      group by des_codigo,des_pais;
                               
   LOOP
     FETCH CUR INTO codigo,pais,descargas;
     EXIT WHEN CUR%NOTFOUND;
     -- para cada fila del cursor pasamos los datos al parametro de salida 
       salida.extend;
       salida(i):= listados_R6C(codigo,pais,descargas);
       i:= i+1;
     
   END LOOP;  
   CLOSE CUR;  
   
   RSP:='LISTADO GENERADO CORRECTAMENTE';
   DBMS_OUTPUT.PUT_LINE(RSP);
   -- devolvemos el parametro de salida 
   RETURN salida;
   
   -- control de excepciones 
EXCEPTION
   WHEN eNulo THEN
        RSP:= 'ERROR: el campo ' || nulo || ' no pude tener valor nulo'; 
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;


   WHEN OTHERS THEN
        errormsg := SUBSTR (SQLERRM, 1, 200);
        RSP:=    'ERROR: ' || errormsg;
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;
END;

/