--------------------------------------------------------
--  DDL for Function FU_LISTADO_USUARIO
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "UOC"."FU_LISTADO_USUARIO" (
   p_movilusuario   IN  TFC_USUARIOS.USU_MOVILUSUARIO%TYPE
)
RETURN R_listados_R6D
IS
/******************************************************************************
   Nom: FU_LISTADO_DESCARGAS_USU
   Listado de las descargas realizas por un usuario 
   P.entrada:  p_movilusuario
   P.salida :  -	RSP 
   Devuelve listado de datos o error            
            
******************************************************************************/
parametro_entrada      VARCHAR2(500);
codigo                 varchar2(20);
version1               varchar2(20); 
fecha                  date;
precio                  NUMBER(16,2);
descripcion             VARCHAR2(35 CHAR);
i                     INTEGER:=1;
RSP	                  VARCHAR2(500);
salida                 R_listados_R6D:=R_listados_R6D();
eNULO                  EXCEPTION;
errormsg              VARCHAR2 (200);
nulo                  VARCHAR2(20);
sProcedure            VARCHAR2(20);
p_imei                VARCHAR2(20);

type r_cursor IS REF CURSOR;
CURU r_cursor;
CUR r_cursor;

BEGIN
   -- parametros de entrada 
   parametro_entrada:= 'p_movilusuario: '||p_movilusuario;
                       
                
   sProcedure:='FU_LISTADOAPL';
  -- control de parametros de entrada 
   IF (p_movilusuario IS NULL) THEN 
     nulo:= 'movil usuario';
     RAISE eNulo;
   END IF;  
  
  -- segun el movil del usuario buscamos todos sus dispositivos asociadados
  
   OPEN CURU for 
      select diu_imei   from TFC_DISPOSITIVOS_USUARIO
          where diu_movilusuario = p_movilusuario;
    LOOP 
      fetch CURU INTO p_imei;
      EXIT WHEN CURU%NOTFOUND;
  
      OPEN CUR FOR 
		  -- para cada dispositivo asociado buscamos las descargas de aplicaciones realizadas 
          select des_codigo,des_version,des_fecha,des_precio,fop_descripcion FROM tfc_descargas_aplicaciones
          LEFT JOIN tfc_modo_pago on fop_codigo = des_modo_pago
              WHERE des_imei = p_imei;
            
                               
        LOOP
        FETCH CUR INTO codigo,version1,fecha,precio,descripcion;
        EXIT WHEN CUR%NOTFOUND;
		-- pasamos los datos al parametro de salida 
              salida.extend;
              salida(i):= listados_R6D(codigo,version1,fecha,precio,descripcion);
              i:= i+1;
     
        END LOOP;  
        CLOSE CUR;  
   END LOOP;
   CLOSE CURU;
    RSP:='LISTADO GENERADO CORRECTAMENTE';
    DBMS_OUTPUT.PUT_LINE(RSP);
  -- devolvemos el parametro de salida 
   RETURN salida;
   -- control de excepciones 
EXCEPTION
   WHEN eNulo THEN
        RSP:= 'ERROR: el campo ' || nulo || ' no pude tener valor nulo'; 
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;


   WHEN OTHERS THEN
        errormsg := SUBSTR (SQLERRM, 1, 200);
        RSP:=    'ERROR: ' || errormsg;
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;
END;

/
