--------------------------------------------------------
--  DDL for Function FU_LISTADO_USUARIO_TOP
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "UOC"."FU_LISTADO_USUARIO_TOP" (
   p_any1   IN  TFC_ESTADISTICA2.E2_ANY1%TYPE
)
RETURN R_listados_R6E
IS
/******************************************************************************
   Nom: FU_LISTADO_USUARIO_TOP
   Listado de las descargas realizas por ao/usuario
   P.entrada:  p_any
   P.salida :  -	RSP 
   Devuelve listado de datos o error            
            
******************************************************************************/
parametro_entrada      VARCHAR2(500);
imei                   varchar2(25);
movil                  varchar2(25);
nombre                varchar2(35);
i                     INTEGER:=1;
RSP	                  VARCHAR2(500);
salida                 R_listados_R6E:=R_listados_R6E();
eNULO                  EXCEPTION;
errormsg              VARCHAR2 (200);
nulo                  VARCHAR2(20);
sProcedure            VARCHAR2(20);
numero                NUMBER;

type r_cursor IS REF CURSOR;

CUR r_cursor;

BEGIN
   --parametros de entrada 
   parametro_entrada:= 'p_any1: '||p_any1;
                       
                
   sProcedure:='FU_LISTADO_USU_TOP';
   -- control parametros de entrada 
   IF (p_any1 IS NULL) THEN 
     nulo:= 'Ao';
     RAISE eNulo;
   END IF;  
  
   
  
   --segun el ao buscamos todos las descargas realizadas por dispositivo de usuario,ordenando el cursor por 
   -- numero de descargas 
  OPEN CUR FOR 
  
      select des_imei,usu_movilusuario,usu_nombre,sum(des_precio) as numero  FROM tfc_descargas_aplicaciones
      LEFT JOIN TFC_DISPOSITIVOS_USUARIO on diu_imei = des_imei
      LEFT JOIN TFC_USUARIOS ON usu_movilusuario = diu_movilusuario
           where des_fecha >= to_date('01'||p_any1 ,'mm/yyyy') AND DES_FECHA <=to_date('12'||p_any1,'mm/yyyy')
      group by des_imei,usu_movilusuario,usu_nombre
      ORDER BY numero desc ;
                           
    LOOP
    FETCH CUR INTO imei,movil,nombre,numero;
    EXIT WHEN CUR%NOTFOUND;
	-- pasamos los datos al parametro de salida 
          salida.extend;
          salida(i):= listados_R6E(movil,nombre,numero);
          i:= i+1;
		  -- controlamos los 20 primeros , que son los que debemos de informar en el resultado 
          if i = 20 then 
            EXIT ;
          END IF ;
    END LOOP;  
    CLOSE CUR;  

   RSP:='LISTADO GENERADO CORRECTAMENTE';
   DBMS_OUTPUT.PUT_LINE(RSP);
   -- devolvemos el parametro de salida 
   RETURN salida;
   -- controlamos las excepciones 
EXCEPTION
   WHEN eNulo THEN
       RSP:= 'ERROR: el campo ' || nulo || ' no pude tener valor nulo'; 
       DBMS_OUTPUT.PUT_LINE(RSP);
       return null;


   WHEN OTHERS THEN
        errormsg := SUBSTR (SQLERRM, 1, 200);
        RSP:=    'ERROR: ' || errormsg;
        DBMS_OUTPUT.PUT_LINE(RSP);
        return null;
END;

/
